% Simulation parameters
N = 10; % sensors
K = 2; % no. of interferers
snr = 5; % signal-to-noise ratio in dB
snapshots = 300; 
rep = 10; % no. of repetitions
sinr_mvdr = zeros(snapshots,rep);
sinr_smi = zeros(snapshots,rep);
for k = 1:rep
    [sinr_mvdr(:,k),sinr_smi(:,k)]= mvdr(snr,snapshots,N,K);
end
sinr_mvdr = mean(sinr_mvdr,2); 
sinr_smi = mean(sinr_smi,2); sinr_smi(1) = 1/snr;
axis = [1 (10:10:snapshots)].';
sinr_mvdr_p = [sinr_mvdr(1) sinr_mvdr(10:10:snapshots).'].';
sinr_smi_p = [sinr_smi(1) sinr_smi(10:10:snapshots).'].';
plot(axis,10*log10(abs(sinr_mvdr_p)),'b-s',axis,10*log10(abs(sinr_smi_p)),'r-o');
xlabel('snapshots');
ylabel('SINR (dB)');
legend('MVDR','MVDR-SMI');
grid;